
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" ng-click="close()">&times;</button>
        <h4 id="categoryModelHeader" class="modal-title">Category</h4>
      </div>
      <div class="modal-body">
        <div class="box-body">
          <form novalidate   name="categoryForm"  class="css-form" >
            <div class="row">
              <div class="form-group col-md-6" >
                  <!--ng-init="categoryDatanew.subCategory = { name: ''}"-->
                <label ><span class="glyphicon glyphicon-asterisk red"></span>Category Name</label>
                <input  class="form-control" name="SubCategoryName"  placeholder="Enter Category Name" ng-model='mainCategoryData.subCategory.name'  required="" >
                <div ng-show="categoryForm.$submitted || categoryForm.SubCategoryName.$touched">
                  <div style="position: absolute;margin-left: 120px;" ng-show="formx.SubCategoryName.$error.required"><p>Category Name is required.</p></div>
                </div>
                  <div ng-if="statusMessage">
                      <div style="position: absolute;margin-left: 80px; color: red"><p >
                          Please provide unique CategoryName.</p></div>
                  </div>
              </div>
              <div class="col-md-6">


                <div class="form-group"  ng-if="categoryForm.SubCategoryName.$dirty||mainCategoryData.categoryId">
                  <label><span class="glyphicon glyphicon-asterisk red"></span>Label</label>
                  <select chosen class="form-control select2" ng-model="mainCategoryData.categoryName" required="" >
                    <option ng-repeat="category in mainCategoryList" >{{category.categoryName}}</option>
                  </select>
                  <div ng-show="categoryForm.$submitted || categoryForm.label.$touched">
                    <div style="position: absolute;margin-left: 120px;" ng-show="formx.label.$error.required"><p>Label is required.</p></div>
                  </div>
                </div>
              </div>
            </div>

            <div class="form-group">
              <label>CategoryDescription</label>
              <textarea class="form-control" placeholder="Enter Description..." rows="3"  ng-model="mainCategoryData.subCategory.description"></textarea>
            </div>
          </form>
        </div>
      </div>


      <div class="modal-footer" ng-hide="categoryForm.SubCategoryName.$error.required || categoryForm.$error.required ">
        <button type="button" class="btn btn-primary" ng-click="close()">Close</button>
     <!--   {{categoryDatanew}}-->
        <button type="button" class="btn btn-info" ng-if="!categoryDatanew.categoryId"  ng-click="addSubCategory(mainCategoryData)" data-dismiss="modal">Add</button>
        <button type="button" class="btn btn-info" ng-if="categoryDatanew.categoryId" ng-click="updateSubCategoryDetails(mainCategoryData,oldCategory,oldSubCategory)"  data-dismiss="modal">Update</button>
      </div>
    </div>




